Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.encryption
Class StandardProtectionPolicy

    java.lang.Object
      org.pdfbox.pdmodel.encryption.ProtectionPolicy
          org.pdfbox.pdmodel.encryption.StandardProtectionPolicy

public class StandardProtectionPolicy
extends ProtectionPolicy

This class represents the protection policy to add to a document for password-based protection. The following example shows how to protect a PDF document with password. In this example, the document will be protected so that someone opening the document with the user password `user_pwd` will not be able to modify the document.

     AccessPermission ap = new AccessPermission();
     ap.setCanModify(false);
     StandardProtectionPolicy policy = new StandardProtectionPolicy(owner_pwd, user_pwd, ap);
     doc.protect(policy);

Version:
  $Revision: 1.3 $
Author:
  Benoit Guillon (benoit.guillon@snv.jussieu.fr)

Constructor Summary
`StandardProtectionPolicy(String ownerPass, String userPass, AccessPermission perms)` Creates an new instance of the standard protection policy in order to protect a PDF document with passwords.

Method Summary
`String` | `getOwnerPassword()` Getter of the property `ownerPassword`.
`AccessPermission` | `getPermissions()` Getter of the property `permissions`.
`String` | `getUserPassword()` Getter of the property `userPassword`.
`void` | `setOwnerPassword(String ownerPass)` Setter of the property `ownerPassword`.
`void` | `setPermissions(AccessPermission perms)` Setter of the property `permissions`.
`void` | `setUserPassword(String userPass)` Setter of the property `userPassword`.

Methods inherited from class org.pdfbox.pdmodel.encryption.ProtectionPolicy
`getEncryptionKeyLength, setEncryptionKeyLength`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardProtectionPolicy

    public StandardProtectionPolicy(String ownerPass,
                                    String userPass,
                                    AccessPermission perms)

  Creates an new instance of the standard protection policy in order to protect a PDF document with passwords.

Parameters:
  `ownerPass` - The owner's password.
  `userPass` - The users's password.
  `perms` - The access permissions given to the user.

Method Detail

### getPermissions

    public AccessPermission getPermissions()

  Getter of the property `permissions`.

  Returns:
    Returns the permissions.

### setPermissions

    public void setPermissions(AccessPermission perms)

  Setter of the property `permissions`.

  Parameters:
    `perms` - The permissions to set.

### getOwnerPassword

    public String getOwnerPassword()

  Getter of the property `ownerPassword`.

  Returns:
    Returns the ownerPassword.

### setOwnerPassword

    public void setOwnerPassword(String ownerPass)

  Setter of the property `ownerPassword`.

  Parameters:
    `ownerPass` - The ownerPassword to set.

### getUserPassword

    public String getUserPassword()

  Getter of the property `userPassword`.

  Returns:
    Returns the userPassword.

### setUserPassword

    public void setUserPassword(String userPass)

  Setter of the property `userPassword`.

  Parameters:
    `userPass` - The userPassword to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD